%define module	watchdog

Name:		python-%{module}
Version:	0.8.3
Release:	%mkrel 1
Summary:	File system events monitoring
Group:		Development/Python
License:	ASL 2.0 and BSD and MIT
URL:		http://pypi.python.org/pypi/watchdog
Source0:	https://pypi.python.org/packages/source/w/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)



%description
A Python API and shell utilities to monitor file system events.

%package -n	python3-%{module}
Summary:	File system events monitoring
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description -n	python3-%{module}
A Python 3 API and shell utilities to monitor file system events.

%prep
%setup -q -n %{module}-%{version}

# Remove all shebangs
find src -name "*.py" | xargs sed -i -e '/^#!\//, 1d'

# Remove +x of the README file
chmod -x README.rst

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py2_build
%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/watchmedo %{buildroot}%{_bindir}/python3-watchmedo

%py2_install

%files
%doc README.rst
%license LICENSE
%{_bindir}/watchmedo
%{python2_sitelib}/%{module}/
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc README.rst
%license LICENSE
%{_bindir}/python3-watchmedo
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Apr 10 2016 daviddavid <daviddavid> 0.8.3-1.mga6
+ Revision: 1000091
- imported package python-watchdog

